List of changes:

2014-04-07: Similarity v1.9.1
 + User can setup fonts and grid colors for result tabs, use Options dialog - Display
 + Added Folder, Filename fields to each tab, added all analysis fields to audio duplicates tab
 + Redesigned list views in result tabs. You can now replace first field, fixed issues with sorting mark and new flat mode design
 + Automark automatically disables unused algorithms (you can't enable them because they absent, it's logical), fixes some oddity
 + You can send files and folders to analyze directly from context menu in Folders tab, without selecting them and starting scan
 + New configuration storing mechanism, fixes issues with Windows 8 and access rights
 + Spectrogram can show values over cursor
 + Added "Invert marked selection" item in context menus
 - Program remember last used folder for move operation
 - All file operations are logged (Move, Delete, Swap). Logs location "%appdata%\Similarity\logs" folder (enter in Explorer).
 - Extended format parsing algorithm (format field in audio tabs)
 - Added support for 8bit audio files, added possibility to process corrupted WAV files
 - Returned "Minimize to tray" option in Miscellaneous tab - Options dialog
 - Similarity prevents launching second instance of program, it simply shows first. Doesn't apply portable mode.
 - Some minor fixes

2013-11-10: Similarity v1.9.0
 + Integrated audio player added, can play simulationesly several files
 + Updated experimental image comparing algorithm, it can find flipped/mirrored images
 + New flat grouping mode
 + New real-time autosave feature introduced, all results in tabs instantly saved to disk in "journal" mode
 + Decoder auto-shutdown feature. After 30 sec all inactive decoder processes will shutdown, releasing all allocated resources
 + Optimized all comparing algorithms
 - Minor fixes

2013-05-13: Similarity v1.8.4
 + New experimental image comparing algorithm
 + Added 4th audio comparing algorithm, specially designed for files < 30sec (ex. audio samples), shown in Precise tab
 + Image decoder is out of process too, as audio decoders, eliminates crashes on invalid or corrupted image files
 + Decoders can log errors
 - Slightly reduced decoder RAM usage
 - Added support of 24-bit FLAC files
 - Minor fixes

2013-03-06: Similarity v1.8.3
 + New image preview window
 - Crash fixed (automark free version)
 - Crash fixed (spectrogram)
 - Minor fixes

2013-02-12: Similarity v1.8.2
 + 64 bit version released, can process huge amount of files, depends only on available RAM. 32-bit version of Similarity can use only 2 GB of memory, regardless of actual available memory, please consider using 64-bit version
 + Redesigned caching mechanics, view and comparing caches are same, reduces memory consumption and comparing time
 + Analysis results are cached now. From now already analyzed files, doesn't processed again, reduces analysis time
 + Audio Analysis and Duplicate results tabs are fully synchronized, if you delete/swap/rename on one tab it automatically changed on other
 + Crash dialog for 32-bit contains warning about insufficiency of memory. Most crashes what come to us is 'Out of memory' situation
 + 32-bit version has 'Handle Large Addresses' attribute. 64-bit version Windows can give such 32-bit application full 4GB of memory, not just 2GB
 - Auto-mark dialog folders contain only folders from duplicate pairs, not all sub-folders
 - Fixed issue with folder groups changing in cached files
 - Fixed issue with folder groups sorting in auto-mark dialog ('None' group worst from now)
 - Fixed issue with Power state (computer can't go to sleep mode after scanning complete)
 - Minor fixes

2013-01-13: Similarity v1.8.1
 + New column with pairs count, help to distinguish elements in big groups
 + Base group files shown in bold, if they opened
 - Fixed math error in the precise algorithm what lead to absolute wrong results (primary false results) in some cases. Precise algorithm now more precise
 - Fixed issue with calculating rating in automatically mark dialog
 - Fixed issue with mass deletion, sometime can lead to crashes
 - Minor fixes

2012-12-14: Similarity v1.8.0
 + New grouping method for audio results (same as in Images)
 + All fields in Audio, Images results are sortable
 + All audio decoders are now out of process and doesn't corrupt data in main process if they crashed or hang up. Improve Similarity stability very much
 + New automark dialog for audio, images results
 + Open/save results for all tabs (Premium version only)
 + Audio format field added in Audio results
 - MMF (Microsoft Media Foundation) decoder can read MP4 tags
 - Fixed sonogram view for big fft size
 - Minor fixes
 
2012-05-28: Similarity v1.7.1
 + New image comparing algorithm, Similarity can now find duplicate pictures, images, etc
 + Introduced new grouping mechanism in Image results and real-time sorting
 + New automark field in Images, folder priority, you can select folders what more preferable for deletion
 + Added ability to skip video files, in most cases they don't needed to process (enabled by default)
 - Fixed issues with sorting in Audio Results
 - Improved image comparing algorithm (in difference with Beta version)
 - Logarithmic scale in sonogram analysis
 - Minor fixes

2012-04-05: Similarity v1.6.5
 + The licensing terms has been changed
 + Action menu
 - Minor fixes

2012-02-25: Similarity v1.6.4
 + Sonogram analysis released
 + QuickTime decoder has fully functional tags parsing scheme
 - Fixed some bugs
 - SSE2 presents check
 + Dutch languages added

2011-12-23: Similarity v1.6.3
 - Fixed Tags comparing algorithm, correctly calculates scores on some files
 + Added Export feature to Results/Analysis tab (CVS,HTML)
 - Fixed some bugs

2011-09-07: Similarity v1.6.2
 + Tags method configuration added
 + Introduced new clicks detection mechanism
 + Fixed high contrast color scheme
 - Fixed crashes

2011-05-29: Similarity v1.6.0
 + New multi-thread caching mechanism what minimize locking, improvement in speed up to 2-5 times (depends on core count)
 + Added OpenCL support, "precise" algorithm now can calculated on your video card, it's support drivers for nVidia CUDA and AMD/ATI APP
 + Detailed logs and work threads limit count options in config
 + New algorithm of searching max. frequency
 + New activation mechanism with online and offline activation
 + Fully rewritten Microsoft Media Foundation Decoders (MMF), it now works in Vista too
 - Removed Network, at this time it unused, rewritten all remaining network algorithms
 - Fixed many issues and problems
 - Fixed crashes

2011-01-20: Similarity v1.5.3
 + New decoder: Apple QuickTime (if you have installed iTunes, Similarity automatically can decode ALAC,AAC,MP4 files)
 + You can analyse duplicates for quality after scan
 + Analysis rating field added to Rearrange and Automark
 + Improvements in caching (rescan shows results much faster)
 + Scan progress in Windows 7 Taskbar
 + File renaming tool in Tag editor
 + Swap files command on same group
 + Executables and installer signed with our certificate (GAR Software)
 - Minor fixes

2010-11-02: Similarity v1.5.2
 + Selection of bad values in Analysis mode with red color
 + Crashes now contain information about what decoder is crashed
 + Additional keyboard shortcuts
 + Counter in analysis mode
 + Bug with 100% similarity precise algorithm fixed
 + Network improvments

2010-10-14: Similarity v1.5.1
 + Mini-spectrum in Analysis mode (Premium subscription)
 + Spectrum analysis (Premium subscription)
 + added folder group sorting on "Automark","Rearrange" (Premium subscription)
 + Fixes in VBR bitrate calculation

2010-09-24: Similarity v1.5
 + new Analysis mode (search unquality music)
 + some small bugs fixed

2010-09-03: Similarity v1.4.1
 + Premium subscription introduced
 + Duration test
 + Usability improvements
 - Minor fixes

2010-09-01: Similarity v1.4.0
 Internal build

2010-08-07: Similarity v1.3.7
 + New Similarity icon.
 + New decoders tab in options, you can now enable/disable decoders, set priority and extensions to them.
 + Some fixes in DirectShow decoder
 + By default we disable DirectShow decoder, some users have very old, bugged 3rd party filters, and they can't properly work, if you need DirectShow decoder you can simply enable it.

2010-07-22: Similarity v1.3.6
 + Fully rewritten network protocol and network processing (still beta)
 + Tested tag sharing via proxies
 + Autoclose for servers
 + Minimize to tray in config
 + More statistics for network, enabled local rating
 - crash with networking fixed

2010-07-05: Similarity v1.3.5
 + added working proxy connection
 - fixed issue with arthmetic error on specific files

2010-07-03: Similarity v1.3.4
 + Greatly improved precise algorithm, it now consumes 20 times less memory (Similarity can now compare more than 200 000 files on 2 Gbyte RAM)
 - fixed some compartability and visual issues with Windows XP

2010-06-29: Similarity v1.3.3
 + Automarking mechanism
 + Added Move to folder
 + Added mark file
 - fixed issue with autloading/autosaving
 - fixed issue with flickering in tabs

2010-06-27: Similarity v1.3.2
 + Autosaving/autoloading results and progress on exit and start
 + Grouped folders selection (only files from different groups compared)
 + Rearranging duplicates groups
 - network problems fixed
 - some bugs fixed


2010-06-12: Similarity v1.3.1
 + New DirectShow decoder (Similarity can use any direct show filter like FFmpeg, AC3Filter, Haali, CoreAVC, etc and decode any supported by them format)
 + New Microsoft Media Foundation (MMF) decoder (natively support M4A,M4,AAC in Windows 7)
 - removed ACM decoder (replaced by DirectShow)
 - 2 crashes fixed

2010-05-30: Similarity v1.3
 + New superior "precise" algorithm
 + Keyboard shortcuts
 + Network functionality
 + P2P tags sharing
 + New results showing mechanism
 + Results showing speed significantly improved
 + Estonian,Italian languages added
 - Some bugs fixed

2010-05-21: Similarity v1.2 Beta

2010-01-19: Similarity v1.1
 + Major changes in Results view (its now descending with columns)
 + Changes in folder view, added folders reloading, icons support. Possibility to select folder without subfolders
 + Added support for Windows 7 Libraries
 + Portable mode, all data stored in same folder with exe file, use "similarity.exe /portable"
 + Crash gathering and submitting mechanism. Similarity can now ignore minor crashes than decoding some files,
 this files automatically added to skip list and never touched again.
 - Offically doesn't support Windows 2000 now (too old for new features)
 - WavPack memory leak fixed
 - Some small visual/translation bugs fixed

2009-11-20: Similarity v1.0.1
 - slow scanning fixed

2009-11-17: Similarity v1.0.0
 + New tag editor (results tab)
 + Some improvments in comparing algorithm
 + Some visual improvements
 - Many small visual/translation bugs fixed

2009-09-29: Similarity v0.9.360
 + New expermental algorithm (it outperform other algorithms)
 + Czech language added
 - Many small visual/translation bugs fixed

2009-09-03: Similarity v0.9.350
 + MusePack (MPC,MP+,MPP) decoder added 
 + 3 languages added (French,Spanish,Bosnian)
 + license file added
 + 'Shift-space','Ctrl-space' keys works now in results list
 + All cache data now stored in 'APPDATA' (ie. X:\Documents and Settings\[User]\Application Data)
 - Resample bug fixed (only one channel taken from sounds)
 - WavePack decoder fixed

2009-08-26: Similarity v0.9.340
 + German translation added
 + Rewritten FLAC decoder (it now correctly show duration)
 - fixed nasty bug with ACM decoder (that led to crash and not worked at all)
 - fixed bug in comparer (that potentially could miss absolutely identical files)

2009-08-25: Similarity v0.9.335
 + multilanguage support (all phrases are translated)
 - fixed some minor bugs

2009-07-22: Similarity v0.9.330
 + multilanguage support (not all phrases are translated)
 + Similarity can be translated in any language (in this moment english/russian)
 - fixed some errors in tag editor

2009-07-13: Similarity v0.9.320
 + Tag Editor (MP3,WMA)
 + File to Tag, Tag to File renaming
 + some minor changes

2009-06-20: Similarity v0.9.310
 + own resampler, Similarity correctly works with all sample rates in OGG,FLAC,WM,APE now
 + with new resampler Similarity correctly works in Windows 7
 - fixed bug with invalid cache loading
 + ignores stored in "ignores.list" text file, not in cache
 + separate sensivity for tags and content
 - changed scores calculation mechanism
 - fixed bug with incorrect audio files, that showed them as similar to every file

2009-06-06: Similarity v0.9.300
 - new GUI design (major GUI changes)
 - acm decoder now support ID3v2 tags (as WMF decoder)
 - working threads can be stopped or paused
 - integrated tag editing mechanism (not yet completed)
 - integrated crash logging mechanism
 - new installer

2009-05-17: Similarity v0.82
 - changed cache storage, it's now fully unicode
 - you can now ignore pairs, they never showed again in list (ignores info stored in cache)
 - corrected compatibility with screen resolution less 32bit
 - fixed some issues with invalid flac's
 - changed % showing mechanism, if sounds don't similar by some algorithm they doesn't shown with 0%
 - changed progress updating mechanics

2009-05-09: Similarity v0.81
 - added ogg support
 - acm decoder info corrected
 - window position stored
 - issue with utf-8 tags in flac fixed

2009-05-05: Similarity v0.8
 - visual improvements
 - user interface improvements
 - some bugs fixed
 - fixed vista uac problems (cache.dat moved to 'appdata')

2009-02-04: Similarity v0.71
 - FLAC decoder correction

2008-07-04: Similarity v0.7
 - suport APE,FLAC,WV
 - decoders dll's
 - decoders API
 - new experemental algorithm
 - installer support
 - some minor visual changes

2008-02-01: Similarity v0.62
 - marked delete

2008-01-31: Similarity v0.61
 - minor UI and usability changes

2008-01-06: Similarity v0.6
 - UI changes
 - detail window
 - changed folder and cache work

2007-09-29: Similarity v0.51
 - multicore speed improved
 - the experimental algorithm is made postponed

2007-09-28: Similarity v0.5
 - new experimental algorithm

2007-09-10: Similarity v0.4
 - new decoder added: Windows Media Format 9.0 SDK (supported formats MP3,WMA,ASF)
 - double click on a file opens default player
 - parsing of ID3v2.x/ASF tags is added

2007-09-03: Similarity v0.32
 - visual bugs fixed (Vista)
 - pre-version 0.5 check update

2007-08-23: Similarity v0.31
 - improved content comparing engine

2007-08-14: Similarity v0.3
 - fixed bug: thread pool not stop then application closed
 - added id3 tags comparing

2007-07-26: Similarity v0.2
 - first release
